## org.h2.test.unit
Class TestCache

    java.lang.Object
      org.h2.test.TestBase
          org.h2.test.unit.TestCache

All Implemented Interfaces:
  CacheWriter

    public class TestCache

extends TestBase
implements CacheWriter

Tests the cache.

Field Summary

Fields inherited from class org.h2.test.TestBase
`baseDir, config, start, TEMP_DIR, uniqueId`

Constructor Summary
`TestCache()`

Method Summary
`void` `flushLog()` Flush the transaction log, so that entries can be removed from the cache.
`Trace` `getTrace()` Get the trace writer.
`static void` `main(java.lang.String... a)` Run just this test.
`void` `test()` This method will be called by the test framework.
`void` `writeBack(CacheObject entry)` Persist a record.

Methods inherited from class org.h2.test.TestBase

`assertContains, assertEqualDatabases, assertEqualReaders, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEqualStreams, assertFalse, assertFalse, assertKnownException, assertKnownException, assertResult, assertResultRowCount, assertResultSetMeta, assertResultSetOrdered, assertSingleValue, assertSmaller, assertStartsWith, assertTrue, assertTrue, crash, createCaller, createCaller, deleteDb, deleteDb, eatMemory, fail, fail, freeMemory, getClassPath, getConnection, getConnection, getMemoryUsed, getPageStoreProperty, getPassword, getPassword, getSize, getTestDir, getURL, getUser, init, init, logError, println, printTime, printTimeMemory, readString, runTest, startServerIfRequired, testCase, trace, trace, traceMemory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestCache

    public TestCache()

Method Detail

### main

    public static void main(java.lang.String... a)
                     throws java.lang.Exception

  Run just this test.

  Parameters:
    `a` - ignored
  Throws:
    `java.lang.Exception`

### test

    public void test()
              throws java.sql.SQLException

  Description copied from class: `TestBase`
  This method will be called by the test framework.

  Specified by:
    `test` in class `TestBase`
  Throws:
    `java.sql.SQLException`

### flushLog

    public void flushLog()

  Description copied from interface: `CacheWriter`
  Flush the transaction log, so that entries can be removed from the cache. This is only required if the cache is full and contains data that is not yet written to the log. It is required to write the log entries to the log first, because the log is 'write ahead'.

  Specified by:
    `flushLog` in interface `CacheWriter`

### getTrace

    public Trace getTrace()

  Description copied from interface: `CacheWriter`
  Get the trace writer.

  Specified by:
    `getTrace` in interface `CacheWriter`
  Returns:
    the trace writer

### writeBack

    public void writeBack(CacheObject entry)

  Description copied from interface: `CacheWriter`
  Persist a record.

  Specified by:
    `writeBack` in interface `CacheWriter`
  Parameters:
    `entry` - the cache entry